

#include <iostream>

#include "core/renderer/renderer.h"
#include "core/window/window_manager.h"
#include "core/window/renderer_window.h"

int main(int argc, char* argv[]) {
    aorii::create_renderer(renderer_api::dx11);
    aorii::create_window_manager();

    auto window = aorii::create_window({1280, 1280}, "hello world");
    auto glfw_window = window->get_glfw_window();
    while (!glfwWindowShouldClose(glfw_window)) {
        glfwPollEvents();
        aorii::update();
    }

    aorii::destroy_window_manager();
    aorii::destroy_renderer();
}
